
const Trigger = {
    props:{
        mode:{
            type:String
        }
    },
    directives: {
        menuPop: {
          // 指令的定义
          inserted: function (el) {
            document.body.appendChild(el)
          }
        }
    },
    data(){
        return {
            visiable:false
        }
    },   
    mounted(){ 
    },
    methods:{
        
    },
    render(h) {
        const props={
            style:{
                position:'absolute',
                left:0,
                top:0 
            }
        }
        return (
            <div v-menuPop {...props}>{this.$slots.default}</div>
        )
    }
}
export default Trigger;